cdac.medinfo.ccdreaderwriter

## Class CCDWriter

- java.lang.Object
- - cdac.medinfo.ccdreaderwriter.CCDWriter

-     public class CCDWriter
      extends java.lang.Object

  This class used for generating Clinical Document in XML format and add sections into document.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCDWriter(CCDHeader objCCDHeader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdvanceDirectives(java.util.List<AdvanceDirectives> objAdvanceDirectives)` This method is used to add Advance Directives Section in Clinical Document
    `void` | `addAlerts(java.util.List<Alerts> objAlertsDetails)` This method is used to add Alerts Section in Clinical Document
    `void` | `addEncounters(java.util.List<Encounters> objEncounters)` This method is used to add Encounters Section in Clinical Document
    `void` | `addFamilyHistory(java.util.List<FamilyHistory> objFamilyDetails)` This method is used to add Family History Section in Clinical Document
    `void` | `addFunctionalStatus(java.util.List<FunctionalStatus> objFunctionalStatus)` This method is used to add Functional Status Section in Clinical Document
    `void` | `addImmunization(java.util.List<Immunizations> objImmunizations)` This method is used to add Immunizations Section in Clinical Document
    `void` | `addMedicalEquipment(java.util.List<MedicalEquipment> objMedicalEquipment)` This method is used to add Medical Equipment Section in Clinical Document
    `void` | `addMedication(java.util.List<Medications> objMedications)` This method is used to add Medications Section in Clinical Document
    `void` | `addPayer(java.util.List<Payer> objPayerDetails)` This method is used to add Payers Section in Clinical Document
    `void` | `addPlan(java.util.List<Plan> objPlanDetails)` This method is used to add Plan Section in Clinical Document
    `void` | `addProblems(java.util.List<Problems> objProblems)` This method is used to add Problems Section in Clinical Document
    `void` | `addProcedures(java.util.List<Procedures> objProcedures)` This method is used to add Procedures Section in Clinical Document
    `void` | `addResults(java.util.List<Results> objResultDetails)` This method is used to add Results Section in Clinical Document
    `void` | `addSNOMEDCodeSystem(java.lang.String dbPath)` This method is used to include SNOMED-CT code system database
    `void` | `addSocialHistory(java.util.List<SocialHistory> objSocialHistory)` This method is used to add Social History Section in Clinical Document
    `void` | `addSummaryOrPurpose(java.util.List<SummaryPurpose> objPurpose)` This method is used to add Summary Or Purpose in Clinical Document
    `void` | `addVitalSigns(java.util.List<VitalSigns> objVitalSigns)` This method is used to add Vital Signs Section in Clinical Document
    `void` | `generateDoc(java.lang.String storagePath, java.lang.String CCDXslPath)` This method is used to generate Continuity Of Care Document in XML format

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCDWriter

          public CCDWriter(CCDHeader objCCDHeader)

  - ### Method Detail

    - #### addSummaryOrPurpose

          public void addSummaryOrPurpose(java.util.List<SummaryPurpose> objPurpose)

      This method is used to add Summary Or Purpose in Clinical Document
      Parameters:
        `objPurpose` - - List of SummaryPurpose object

    - #### addPayer

          public void addPayer(java.util.List<Payer> objPayerDetails)

      This method is used to add Payers Section in Clinical Document
      Parameters:
        `objPayerDetails` - - List of Payers

    - #### addAdvanceDirectives

          public void addAdvanceDirectives(java.util.List<AdvanceDirectives> objAdvanceDirectives)

      This method is used to add Advance Directives Section in Clinical Document
      Parameters:
        `objAdvanceDirectives` - - List of Advance Directives objects

    - #### addPlan

          public void addPlan(java.util.List<Plan> objPlanDetails)

      This method is used to add Plan Section in Clinical Document
      Parameters:
        `objPlanDetails` - - List of Plan objects

    - #### addAlerts

          public void addAlerts(java.util.List<Alerts> objAlertsDetails)

      This method is used to add Alerts Section in Clinical Document
      Parameters:
        `objAlertsDetails` - - List of Alerts objects

    - #### addFunctionalStatus

          public void addFunctionalStatus(java.util.List<FunctionalStatus> objFunctionalStatus)

      This method is used to add Functional Status Section in Clinical Document
      Parameters:
        `objFunctionalStatus` - - List of FunctionalStatus objects

    - #### addVitalSigns

          public void addVitalSigns(java.util.List<VitalSigns> objVitalSigns)

      This method is used to add Vital Signs Section in Clinical Document
      Parameters:
        `objVitalSigns` - - List of VitalSigns objects

    - #### addSocialHistory

          public void addSocialHistory(java.util.List<SocialHistory> objSocialHistory)

      This method is used to add Social History Section in Clinical Document
      Parameters:
        `objSocialHistory` - - List of SocialHistory objects

    - #### addProblems

          public void addProblems(java.util.List<Problems> objProblems)

      This method is used to add Problems Section in Clinical Document
      Parameters:
        `objProblems` - - List of Problems objects

    - #### addProcedures

          public void addProcedures(java.util.List<Procedures> objProcedures)

      This method is used to add Procedures Section in Clinical Document
      Parameters:
        `objProcedures` - - List of Procedures objects

    - #### addEncounters

          public void addEncounters(java.util.List<Encounters> objEncounters)

      This method is used to add Encounters Section in Clinical Document
      Parameters:
        `objEncounters` - - List of Encounters objects

    - #### addMedicalEquipment

          public void addMedicalEquipment(java.util.List<MedicalEquipment> objMedicalEquipment)

      This method is used to add Medical Equipment Section in Clinical Document
      Parameters:
        `objMedicalEquipment` - - List of MedicalEquipment objects

    - #### addMedication

          public void addMedication(java.util.List<Medications> objMedications)

      This method is used to add Medications Section in Clinical Document
      Parameters:
        `objMedications` - - List of Medications objects

    - #### addImmunization

          public void addImmunization(java.util.List<Immunizations> objImmunizations)

      This method is used to add Immunizations Section in Clinical Document
      Parameters:
        `objImmunizations` - - List of Immunizations objects

    - #### addFamilyHistory

          public void addFamilyHistory(java.util.List<FamilyHistory> objFamilyDetails)

      This method is used to add Family History Section in Clinical Document
      Parameters:
        `objFamilyDetails` - - List of FamilyHistory objects

    - #### addResults

          public void addResults(java.util.List<Results> objResultDetails)

      This method is used to add Results Section in Clinical Document
      Parameters:
        `objResultDetails` - - List of Results objects

    - #### generateDoc

          public void generateDoc(java.lang.String storagePath,
                                  java.lang.String CCDXslPath)

      This method is used to generate Continuity Of Care Document in XML format
      Parameters:
        `storagePath` - Path for storing CCD doc
        `CCDXslPath` - Path of Xslt

    - #### addSNOMEDCodeSystem

          public void addSNOMEDCodeSystem(java.lang.String dbPath)

      This method is used to include SNOMED-CT code system database
      Parameters:
        `dbPath` - Path of SNOMED-CT code system database